File: changelog

package info (click to toggle)
kross-interpreters 4%3A20.12.1-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 1,472 kB
  • sloc: cpp: 12,208; java: 560; python: 375; ruby: 323; xml: 53; ansic: 38; makefile: 4
file content (258 lines) | stat: -rw-r--r-- 8,302 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
kross-interpreters (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 12:42:06 +0100

kross-interpreters (4:20.04.3-2) unstable; urgency=medium

  * Team upload.
  * Replace the python-dev build dependency with python2-dev. (Closes: #967154)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 08:00:16 +0200

kross-interpreters (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the upstream GPG signing key.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 22:14:34 +0200

kross-interpreters (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 18:41:23 +0200

kross-interpreters (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 06:39:41 +0100

kross-interpreters (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable krossruby, built again by upstream:
    - add a krossruby binary
    - add install files for krosspython and krosspython
  * Disable the unit tests at build time, since they can work only with plugins
    already installed.
  * Change the watch file to look for stable releases only.
  * Drop the libkf5kdelibs4support-dev build dependency, no more required now.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 07:43:05 +0200

kross-interpreters (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:52:53 +0200

kross-interpreters (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (4.14.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 09:40:17 +0200

kross-interpreters (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:36:19 +0100

kross-interpreters (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port to Frameworks 5
  * Drop ruby package, not built upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:55:39 +0100

kross-interpreters (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-do-not-reject-ruby-versions-
    greater-than-1.9.patch

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:35:55 +0200

kross-interpreters (4:4.12.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from the 4:4.11.5-3 upload.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:20 +0200

kross-interpreters (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-fix-rb_raise-calls-with-
    arguments.patch.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:51 +0100

kross-interpreters (4:4.11.5-3) unstable; urgency=medium

  * Team upload.
  * Fix krossruby build with ruby > 1.9: (Closes: #739128)
    - bump the cmake build dependency to 2.8.12.1-1.2, since that version fixes
      FindRuby.cmake for ruby 2.x versions
    - backport upstream commit 7f919486919fb083670f66b5d9054a1c5e2179d0 to
      accept ruby versions greater than 1.9; patch
      upstream_ruby-do-not-reject-ruby-versions-greater-than-1.9.patch

 -- Pino Toscano <pino@debian.org>  Sat, 12 Apr 2014 12:42:23 +0200

kross-interpreters (4:4.11.5-2) unstable; urgency=medium

  * Merge previous upload.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:13:38 +0100

kross-interpreters (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 10:47:37 +0100

kross-interpreters (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Add krossruby back: (Closes: #693533)
    - copy control snippet and krossruby.install from the old kdebindings
      packaging
    - add the ruby and ruby-dev build dependencies
    - backport upstream commit cc551d8feeed74ee923c53587ee08859560c3300 to fix
      build of krossruby with -Werror=format-security; patch
      upstream_ruby-fix-rb_raise-calls-with-arguments.patch.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jan 2014 09:55:13 +0100

kross-interpreters (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:31 +0100

kross-interpreters (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:24:55 +0200

kross-interpreters (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:15 +0200

kross-interpreters (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:44 +0200

kross-interpreters (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.

  [ Sune Vuorela ]
  * Add myself to uploaders.
  * Bump build-deps.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:50:25 +0000

kross-interpreters (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Fix watch file to point to the .xz tarballs.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 18:15:24 +0200

kross-interpreters (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Modestas Vainius ]
  * Fix GitWeb Vcs URL.

  [ Pino Toscano ]
  * Add a watch file.
  * Update the Homepage.
  * Bump kde-sc-dev-latest build dependency to >= 4:4.7.4.
  * Bump kdelibs5-dev build dependency to >= 4:4.7.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2012 16:32:39 +0200

kross-interpreters (4:4.6.90-2) unstable; urgency=low

  * "Bye bye to you, ugly monolithic kdebindings" release.

  [ Modestas Vainius ]
  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Jul 2011 17:13:33 +0300

kross-interpreters (4:4.6.90-1) experimental; urgency=low

  * Initial standalone release: split off from kdebindings.
  * Below you will find notable changes from previous kdebindings packaging.

  [ Modestas Vainius ]
  * Require KDE SC 4.6.3.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.
  * Remove patches, none apply to krosspython.
  * Build only krosspython for now.
  * Clean up Uploaders list.
  * Clean up Build-Depends list: keep kdelibs5-dev, python-dev and standard
    build-dependencies.
  * Update debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Fri, 01 Jul 2011 00:43:10 +0300